Bug 71090 - message in korean puts spamassassin into endless loop
message in korean puts spamassassin into endless loop
Product: Red Hat Linux
Classification: Retired
Component: spamassassin (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
Depends On:
Blocks: 67218
  Show dependency treegraph
Reported: 2002-08-08 13:24 EDT by Markku Kolkka
Modified: 2008-05-01 11:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-18 01:27:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
sample mail message causing lockup (2.63 KB, text/plain)
2002-08-08 13:25 EDT, Markku Kolkka
no flags Details

  None (edit)
Description Markku Kolkka 2002-08-08 13:24:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020804

Description of problem:
When yet another Korean spam message arrives, spamassassin goes in a loop that
takes all CPU time and doesn't terminate untill I kill the program. Running
spamassassin in test mode (-t option) from terminal on the same message
generates endless "Malformed UTF-8 character" error messages. The message uses
ks_c_5601-1987 charset, not UTF-8

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Add a spamassassin filter to KMail
2. Wait a few minutes for the next spam

Actual Results:  KMail locks up because the filter is in endless loop

Expected Results:  spamassassin detects the spam and gets rid of it

Additional info:

I'm using Finnish UTF-8 locale (LANG=fi_FI.UTF-8)
Comment 1 Markku Kolkka 2002-08-08 13:25:27 EDT
Created attachment 69585 [details]
sample mail message causing lockup
Comment 2 Markku Kolkka 2002-10-01 16:53:51 EDT
Problem hasn't been fixed in Psyche.
Comment 3 Warren Togami 2002-10-18 01:27:11 EDT
I just tested that particular sample attachment with SpamAssassin 2.42, and it
successfully identified it as SPAM without getting stuck.

Red Hat could you please issue a Rawhide package of the latest spamassssin
version.  We will test that for stability and eventually errata can be issued?
Comment 4 Chip Turner 2002-11-04 22:12:19 EST
updated to spamassassin 2.43 pending errata for 8.0; should be in rawhide soon
as well

Note You need to log in before you can comment on or make changes to this bug.